## curlftpsink curlftpsink — sink that uploads data to a server using libcurl |

## Properties

gboolean | create-dirs | Read / Write
gboolean | epsv-mode | Read / Write
gchar * | ftp-port | Read / Write
gboolean | create-tmp-file | Read / Write
gchar * | temp-file-name | Read / Write

## Types and Values

struct | GstCurlFtpSink

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSink
                        ╰── GstCurlBaseSink
                            ╰── GstCurlTlsSink
                                ╰── GstCurlFtpSink

## Description

This is a network sink that uses libcurl as a client to upload data to an FTP server.

#### Example launch line

Upload a JPEG file to /home/test/images * directory)

    1
    2
    3
    gst-launch-1.0 filesrc location=image.jpg ! jpegparse ! curlftpsink  \
        file-name=image.jpg  \
        location=ftp://192.168.0.1/images/

## Synopsis

### Element Information

plugin | curl
author | Patricia Muscalu <patricia@axis.com>
class | Sink/Network

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

## Functions

## Types and Values

### struct GstCurlFtpSink

    struct GstCurlFtpSink;

## Property Details

### The `“create-dirs”` property

      “create-dirs”              gboolean

Attempt to create missing directory included in the path.

Flags: Read / Write

Default value: FALSE

### The `“epsv-mode”` property

      “epsv-mode”                gboolean

Enable the use of the EPSV command when doing passive FTP transfers.

Flags: Read / Write

Default value: TRUE

### The `“ftp-port”` property

      “ftp-port”                 gchar *

The PORT instruction tells the remote server to connect to the IP address.

Flags: Read / Write

Default value: ""

### The `“create-tmp-file”` property

      “create-tmp-file”          gboolean

Use a temporary file name when uploading a a file. When the transfer is complete, this temporary file is renamed to the final file name. This is useful for ensuring that remote systems do not read a partially uploaded file.

Flags: Read / Write

Default value: FALSE

### The `“temp-file-name”` property

      “temp-file-name”           gchar *

Filename pattern to use when generating a temporary filename for uploads.

Flags: Read / Write

Default value: NULL